/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/memory.hpp>

#include <studio/studio.hpp>

namespace nostalgia::sound {

static struct: studio::Module {

	ox::String id() const noexcept final {
		return ox::String{"net.drinkingtea.nostalgia.sound"};
	}

	ox::Vector<studio::EditorMaker> editors(studio::Context&) const noexcept final {
		return {
		};
	}

	ox::Vector<ox::UPtr<studio::ItemMaker>> itemMakers(studio::Context&) const noexcept final {
		ox::Vector<ox::UPtr<studio::ItemMaker>> out;
		return out;
	}

} const mod;

studio::Module const *studioModule() noexcept {
	return &mod;
}

}
